POST
/auth-token/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/auth-token/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "token_name": "tir-token-260320155516"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/auth-token/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "token_name": "tir-token-260320155516", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/auth-token/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "token_name": "tir-token-260320155516" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
token_name
required
string
Example
tir-token-260320155516Responses
Section titled “Responses”API token created successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
token_name
string
api_key
string format: uuid
auth_token
string
created_at
string
expiry
string format: date
errors
object
message
string
Example
{ "code": 201, "data": { "id": 2977, "token_name": "tir-token-260320153924", "api_key": "73d830cd-5fd6-4543-8a9d-8a9c400d3d77", "auth_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...", "created_at": "0 Day ago", "expiry": "2027-03-20" }, "errors": {}, "message": "Created Successfully"}